//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                                                   Popovich Pasha |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Popovich Pasha"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red

//---- input parameters
extern int MA_period = 6;
extern int SD_period = 4;
extern int ATR_period = 2;
extern int CCI_period = 11;
extern int CountBars=300;
//---- buffers
double val1[];
double val2[];
double AD[];
double MA[];
double SD[];
double CCI[];
double ATR[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;
//---- indicator line
   IndicatorBuffers(7);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,241);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,242);
   SetIndexBuffer(0,val1);
   SetIndexBuffer(1,val2);
   SetIndexBuffer(2,AD);
   SetIndexBuffer(3,MA);
   SetIndexBuffer(4,SD);
   SetIndexBuffer(5,CCI);
   SetIndexBuffer(6,ATR);
   SetIndexDrawBegin(0,Bars-CountBars);
   SetIndexDrawBegin(1,Bars-CountBars);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//|                             easy                                 |
//+------------------------------------------------------------------+
int start()
  {   
   int i,counted_bars=IndicatorCounted();
   //---- check for possible errors
   if(counted_bars<0) return(-1);

i=Bars-counted_bars -1;
 while(i>=0)
  { 
 AD[i]=iAD(NULL,0,i);
 i--;
 }
 i=Bars-counted_bars -1;
 while(i>=0)
  {
    MA[i]=iMAOnArray(AD,0,MA_period,0,MODE_SMA,i);
 i--;
 }
 i=Bars-counted_bars -1;
 while(i>=0)
  {
    SD[i]=iStdDevOnArray(AD,0,SD_period,0,MODE_SMA,i);
 i--;
 }   
 i=Bars-counted_bars -1;
 while(i>=0)
  {  
    CCI[i]=iCCIOnArray((AD,0,CCI_period,0,i);
 i--;
 }  
 i=Bars-counted_bars -1;
 while(i>=0)
  {  
    ATR[i]=iATR(NULL,0,ATR_period,i);
  
         
 if(MA[i]>MA[i+1] && SD[i]>SD[i+1] && CCI[i]>100.0000 && CCI[i]>CCI[i+1] && ATR[i]>ATR[i+1])
	val1[i]=Low[i]-5*Point;

 if(MA[i]<MA[i+1] && SD[i]>SD[i+1] && CCI[i]<-100.0000 && CCI[i]<CCI[i+1] && ATR[i]>ATR[i+1])
	val2[i]=High[i]+5*Point;
	i--;
}
   return(0);
  }
//+------------------------------------------------------------------+

